> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluidehr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiauthcallback



## OpenAPI

````yaml /openapi/fluide-auth.json patch /api/auth/callback/{provider}
openapi: 3.0.0
info:
  title: Fluide Auth API
  description: >-
    Developer credentials, session management, and identity for the Fluide
    Suite.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox.fluidehr.com
    description: Sandbox
security: []
tags:
  - name: auth
    description: ''
  - name: App
    description: Service root and build metadata. Use for quick connectivity checks.
    x-group: Operations
  - name: Auth Context
  - name: Health
    description: >-
      Liveness and readiness probes. Returns dependency status (database, Redis,
      etc.) for orchestrators and uptime monitors.
    x-group: Operations
  - name: Auth
  - name: BetterAuthOAuthBridge
  - name: Authorize
  - name: Organizations
  - name: Company
  - name: Onboarding
  - name: organigram
  - name: org master data
  - name: org rbac
  - name: engagement
  - name: marketplace admin
  - name: virtual manager
  - name: delegation audit
  - name: workspace
  - name: client-onboarding
  - name: partner hub
  - name: cohort
  - name: investor portfolio
  - name: investor-portfolio
  - name: workflow
  - name: inter company
paths:
  /api/auth/callback/{provider}:
    patch:
      tags:
        - BetterAuthOAuthBridge
      operationId: BetterAuthOAuthBridgeController_proxyOAuthCallback_patch
      parameters: []
      responses:
        '200':
          description: ''
      x-codeSamples:
        - lang: bash
          label: cURL
          source: curl -sS -X PATCH "$FLUIDE_BASE_URL/api/auth/callback/{provider}"
        - lang: node
          label: Node.js
          source: >-
            const baseUrl = process.env.FLUIDE_BASE_URL;


            const response = await
            fetch(`${baseUrl}/api/auth/callback/{provider}`, {
              method: 'PATCH',
            });


            if (!response.ok) throw new Error(`HTTP ${response.status}: ${await
            response.text()}`);

            console.log(await response.json());
        - lang: python
          label: Python
          source: |-
            import os
            import requests

            base_url = os.environ["FLUIDE_BASE_URL"]
            headers = {
            }

            response = requests.patch(
                f"{base_url}/api/auth/callback/{provider}",
                headers=headers,
                timeout=30,
            )
            response.raise_for_status()
            print(response.json())
        - lang: java
          label: Java
          source: >-
            import java.net.URI;

            import java.net.http.HttpClient;

            import java.net.http.HttpRequest;

            import java.net.http.HttpResponse;


            String baseUrl = System.getenv("FLUIDE_BASE_URL");

            HttpClient client = HttpClient.newHttpClient();

            HttpRequest.Builder builder = HttpRequest.newBuilder()
                .uri(URI.create(baseUrl + "/api/auth/callback/{provider}"))
                .PATCH(HttpRequest.BodyPublishers.noBody())
                .build();
            HttpResponse<String> response = client.send(builder.build(),
            HttpResponse.BodyHandlers.ofString());

            if (response.statusCode() >= 400) throw new RuntimeException("HTTP "
            + response.statusCode() + ": " + response.body());

            System.out.println(response.body());
        - lang: php
          label: PHP
          source: >-
            <?php

            $baseUrl = getenv("FLUIDE_BASE_URL");

            $ch = curl_init($baseUrl . "/api/auth/callback/{provider}");

            curl_setopt_array($ch, [
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_CUSTOMREQUEST => 'PATCH',
                CURLOPT_HTTPHEADER => [
                ],
            ]);

            $response = curl_exec($ch);

            if ($response === false) throw new
            RuntimeException(curl_error($ch));

            $status = curl_getinfo($ch, CURLINFO_HTTP_CODE);

            if ($status >= 400) throw new RuntimeException("HTTP $status:
            $response");

            echo $response;

````